<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Fox009_Vermilion
 */

get_header();
?>

	<main id="primary" class="main-content errer404">
		<div class="error-404 not-found">
			<div class="error-404-container padding20 shadow">
				<header class="error-header">
					<h2 class="error-title">
						<?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'fox009-vermilion' ); ?>
					</h2>
				</header>
				<div class="error-content">
					<p>
						<?php esc_html_e( 'It looks like nothing was found at this location. Maybe you can try searching?', 'fox009-vermilion' ); ?>
					</p>
					<?php get_search_form(); ?>
					<p class="text-404">404</p>
				</div>
			</div>
		</div><!-- .error-404 -->

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
