<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fox009_Vermilion
 */

get_header();
?>

	<main id="primary" class="main-content posts">

		<?php 
		if(have_posts()){
		?>
			<div class="page-header-container padding20 shadow">
				<header class="page-header">
					<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header><!-- .page-header -->
			</div>

			<?php
			/* Start the Loop */
			while(have_posts()){
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content/content', get_post_type() );

			}
			fox009_vermilion_posts_navigation();
		}else{

			get_template_part( 'template-parts/content/content', 'none' );

		}
		?>

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
