
(function($){
	wp.customize('fox009_vermilion_container_layout', function(obj){
		obj.bind(function(val){
			if(val=='full'){
				$('.container').css('max-width', 'unset');
			}else{
				$('.container').css('max-width', wp.customize._value.fox009_vermilion_container_max_width()+'px');
			}
		});
	});
	
	wp.customize('fox009_vermilion_container_max_width', function(obj){
		obj.bind(function(val){
			if(wp.customize._value.fox009_vermilion_container_layout()=='limit'){
				$('.container').css('max-width', val+'px');
			}
		});
	});

	wp.customize('fox009_vermilion_primary_color', function(obj){
		obj.bind(function(val){
			$(':root').css('--primary-color',val);
			$(':root').css('--primary-color-rgb',
				parseInt('0x' + val.slice(1, 3)) + ',' + parseInt('0x' + val.slice(3, 5)) + ',' + parseInt('0x' + val.slice(5, 7)));
		});
	});
	
	wp.customize('fox009_vermilion_sidebar_width', function(obj){
		obj.bind(function(val){
			$(':root').css('--primary-column-width',(100-val)+'%');
			$(':root').css('--sidebar-column-width',val+'%');
		});
	});
	
	wp.customize('fox009_vermilion_button_color', function(obj){
		obj.bind(function(val){
			$(':root').css('--button-color',val);
		});
	});
	
	wp.customize('fox009_vermilion_button_border_radius', function(obj){
		obj.bind(function(val){
			$(':root').css('--button-border-radius',val+'px');
		});
	});
	
	wp.customize('blogname', function(obj){
		obj.bind(function(val){
			$('.site-title a').text(val);
		});
	});
	
	wp.customize('blogdescription', function(obj){
		obj.bind(function(val){
			$('.site-description').text(val);
		});
	});
	
	wp.customize('fox009_vermilion_site_title_font_size', function(obj){
		obj.bind(function(val){
			$('.header-middle .site-branding h1').css('font-size', val+'rem');
			$('.header-middle .site-description').css('font-size', (val/2)+'rem');
		});
	});
	
	wp.customize('fox009_vermilion_header_nav_transform', function(obj){
		obj.bind(function(val){
			$('.site-header nav a').css('text-transform', val);
		});
	});
		
	wp.customize('fox009_vermilion_top_nav_padding_left', function(obj){
		obj.bind(function(val){
			$('.top-navigation a').css('padding-left', val+'px');
		});
	});
	
	wp.customize('fox009_vermilion_main_nav_padding_left', function(obj){
		obj.bind(function(val){
			$('.main-navigation a').css('padding-left', val+'px');
		});
	});
	
	wp.customize('fox009_vermilion_top_menu_text', function(obj){
		obj.bind(function(val){
			$('.top-navigation button').text(val);
		});
	});
	
	wp.customize('fox009_vermilion_main_menu_text', function(obj){
		obj.bind(function(val){
			$('.main-navigation button').text(val);
		});
	});
	
	wp.customize('fox009_vermilion_slider_max_height', function(obj){
		obj.bind(function(val){
			$(':root').css('--slider-max-height', val+'px');
		});
	});
	
	wp.customize('fox009_vermilion_slider_background_color', function(obj){
		obj.bind(function(val){
			$(':root').css('--slider-background-color', val+'ee');
		});
	});
	
	wp.customize('fox009_vermilion_archive_read_more', function(obj){
		obj.bind(function(val){
			$('.button.read-more').text(val);
		});
	});
	
	wp.customize('fox009_vermilion_custom_copyright_text', function(obj){
		obj.bind(function(val){
			$('.copyright h2').html(val);
		});
	});
	
}(jQuery));
