<?php
$section = 'fox009_vermilion_section_about_theme';

$settings['about_theme'] = 
	array(
		array(
			'default' => '',
			'sanitize_callback' => '__return_true'
		),
		array(
			'section'   	=> $section,
			'label'     	=> __('About Fox009 Vermilion', 'fox009-vermilion'),
			'description'   => esc_html__('Fox009 Vermilion is a concise, neat and beautiful WordPress Theme for your blog site.', 'fox009-vermilion'),
			'type'			=> 'link',
			'heading'		=> 'h2',
			'parameters'	=> array(
								'href' => 'http://www.fox009.cn/fox009-vermilion/',
								'inner'=> esc_html__( 'Fox009 Vermilion', 'fox009-vermilion' )
								),
		)
	);

$settings['about_documentation'] =
	array(
		array(
			'default' => '',
			'sanitize_callback' => '__return_true'
		),
		array(
			'section'   	=> $section,
			'description'   => esc_html__('Read the document to use the theme better.', 'fox009-vermilion'),
			'label'     	=> __('Documentation', 'fox009-vermilion'),
			'type'			=> 'link',
			'heading'		=> 'h3',
			'parameters'	=> array(
								'href' => 'http://www.fox009.cn/forums/topic/fox009-vermilion/',
								'inner'=> esc_html__( 'Fox009 Vermilion Documentation', 'fox009-vermilion' )
								),
		)
	);

$settings['about_support'] =
	array(
		array(
			'default' => '',
			'sanitize_callback' => '__return_true'
		),
		array(
			'section'		=> $section,
			'description' 	=> esc_html__('If you need support, please contact us, we will be happy to assist!', 'fox009-vermilion'),
			'label'     	=> __('Support', 'fox009-vermilion'),
			'type'			=> 'link',
			'heading'		=> 'h3',
			'parameters'	=> array(
								'href' => 'http://www.fox009.cn/forums/forum/support/fox009-vermilion/',
								'inner'=> esc_html__( 'Fox009 Vermilion Support', 'fox009-vermilion' )
								),
		)
	);

$settings['about_rate'] =
	array(
		array(
			'default' => '',
			'sanitize_callback' => '__return_true'
		),
		array(
			'section'   => $section,
			'description' 	=> esc_html__('If you like Fox009 Vermilion, please rate the Theme. It is the best encouragement!',	'fox009-vermilion'),
			'label'     => __('Rate The Theme', 'fox009-vermilion'),
			'type'			=> 'link',
			'heading'		=> 'h3',
			'parameters'	=> array(
								'href' => 'https://wordpress.org/support/theme/fox009-vermilion/reviews/#new-post',
								'inner'=> esc_html__( 'Add Your Review', 'fox009-vermilion' )
								),
		)
	);	