<?php
if(fox009_vermilion_theme_options('header_top_section')){
?>
	<div class="header-top">
		<div class="container">
			<?php
			if(fox009_vermilion_theme_options('header_top_menu')){
			?>
				<nav id="top-navigation" class="top-navigation secondary-menu">
					<button class="menu-toggle" aria-controls="secondary-menu" aria-expanded="false">
						<?php echo esc_html(fox009_vermilion_theme_options('top_menu_text')); ?>
					</button>
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'secondary',
							'menu_id'        => 'secondary-menu',
							'fallback_cb'	 => 'fox009_vermilion_menu_fallback',
						)
					);
					?>
				</nav>
			<?php
			}
			if(fox009_vermilion_theme_options('header_social')){
			?>
				<nav id="social-navigation" class="social-navigation social-menu">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'social',
							'menu_id'        => 'social-menu',
							'target'		 => '_blank',
							'fallback_cb'	 => 'fox009_vermilion_menu_fallback',
						)
					);
					?>
				</nav>
			<?php
			}
			?>
			<div class="header-search">
				<?php get_search_form(); ?>
			</div>
		</div>
	</div>
<?php
}